Return string describing error code

- « curl_multi_setopt

- curl_pause »

- PHP Manual
- cURL Functions
- Return string describing error code

# curl_multi_strerror

(PHP 5 >= 5.5.0, PHP 7, PHP 8)

curl_multi_strerror — Return string describing error code

### Description

curl_multi_strerror(int `$error_code`): ?string

Returns a text error message describing the given CURLM error code.

### Parameters

`error_code`

  One of the » CURLM error codes constants.

### Return Values

Returns error string for valid error code, `null` otherwise.

### Examples

Example #1 curl_multi_strerror() example

    <?php// Create cURL handles$ch1 = curl_init("http://example.com/");$ch2 = curl_init("http://php.net/");// Create a cURL multi handle$mh = curl_multi_init();// Add the handles to the multi handlecurl_multi_add_handle($mh, $ch1);curl_multi_add_handle($mh, $ch2);// Execute the multi handledo {    $status = curl_multi_exec($mh, $active);    if ($active) {        curl_multi_select($mh);    }} while ($active && $status === CURLM_OK);// Check for errorsif ($status != CURLM_OK) {    // Display error message    echo "ERROR!\n " . curl_multi_strerror($status);}?>

### See Also

- curl_strerror() - Return string describing the given error code
- » cURL error codes